Index: CKEditor/branches/prototype/_source/plugins/image/dialogs/image.js
===================================================================
--- CKEditor/branches/prototype/_source/plugins/image/dialogs/image.js	(revision 2930)
+++ CKEditor/branches/prototype/_source/plugins/image/dialogs/image.js	(revision 2938)
@@ -7,5 +7,5 @@
 {
 	// Load image preview.
-	var showPreview = editor.config.pluginConfig.image.showPreview;
+	var showPreview = editor.config.image.showPreview;
 	var regexSize = /^\s*(\d+)((px)|\%)?\s*$/i;
 	var regexValidSize = /^(\d+)\%?$|^$/i;
@@ -527,5 +527,5 @@
 				}
 				//Remove Link, Image exists.
-				else if ( this.editMode[ 'link' ] == true && !this.changedAttibutes[ 'link' ][ '_cke_saved_href' ] && editor.config.pluginConfig.image.removeLinkByEmptyURL == true )
+				else if ( this.editMode[ 'link' ] == true && !this.changedAttibutes[ 'link' ][ '_cke_saved_href' ] && editor.config.image.removeLinkByEmptyURL == true )
 					this.editObj[ 'link' ].remove( true );
 			}
@@ -627,11 +627,11 @@
 				this.hidePage( 'Link' );		//Hide Link tab.
 
-			if ( editor.config.pluginConfig.image.uploadTab == false )
+			if ( editor.config.image.uploadTab == false )
 				this.hidePage( 'Upload' );		//Hide Upload tab.
 
-			if ( editor.config.pluginConfig.image.showAdvancedTab == false )
+			if ( editor.config.image.showAdvancedTab == false )
 				this.hidePage( 'advanced' );		//Hide Advanded tab.
 
-			if ( editor.config.pluginConfig.image.browseServer == false )
+			if ( editor.config.image.browseServer == false )
 				this.getContentElement( 'info', 'browse' ).getElement().hide();
 
@@ -748,5 +748,5 @@
 						label : editor.lang.image.alt,
 						accessKey : 'A',
-						'default' : editor.config.pluginConfig.image.defaultValues.alt,
+						'default' : editor.config.image.defaultValues.alt,
 						onChange : function()
 						{
@@ -853,5 +853,5 @@
 												labelLayout : 'horizontal',
 												label : editor.lang.image.border,
-												'default' : editor.config.pluginConfig.image.defaultValues.border,
+												'default' : editor.config.image.defaultValues.border,
 												onChange : function()
 												{
@@ -872,5 +872,5 @@
 												labelLayout : 'horizontal',
 												label : editor.lang.image.hSpace,
-												'default' : editor.config.pluginConfig.image.defaultValues.hSpace,
+												'default' : editor.config.image.defaultValues.hSpace,
 												onChange : function()
 												{
@@ -891,5 +891,5 @@
 												labelLayout : 'horizontal',
 												label : editor.lang.image.vSpace,
-												'default' : editor.config.pluginConfig.image.defaultValues.vSpace,
+												'default' : editor.config.image.defaultValues.vSpace,
 												onChange : function()
 												{
@@ -912,5 +912,5 @@
 												style : 'width:100%',
 												label : editor.lang.image.align,
-												'default' : editor.config.pluginConfig.image.defaultValues.align,
+												'default' : editor.config.image.defaultValues.align,
 												items :
 												[
@@ -967,5 +967,5 @@
 						label : editor.lang.image.url,
 						style : 'width: 100%',
-						'default' : editor.config.pluginConfig.image.defaultValues.link,
+						'default' : editor.config.image.defaultValues.link,
 						validate: function()
 						{
@@ -993,5 +993,5 @@
 						type : 'select',
 						label : editor.lang.link.target,
-						'default' : editor.config.pluginConfig.image.defaultValues.target,
+						'default' : editor.config.image.defaultValues.target,
 						items :
 						[
@@ -1019,5 +1019,5 @@
 						id : 'upload',
 						label : editor.lang.image.btnUpload,
-						action : editor.config.pluginConfig.image.uploadAction,
+						action : editor.config.image.uploadAction,
 						size : 38
 					},
@@ -1055,5 +1055,5 @@
 								style : 'width : 100%;',
 								label : editor.lang.common.langDir,
-								'default' : editor.config.pluginConfig.image.defaultValues.langDir,
+								'default' : editor.config.image.defaultValues.langDir,
 								items :
 								[
@@ -1072,5 +1072,5 @@
 								id : 'txtLangCode',
 								label : editor.lang.common.langCode,
-								'default' : editor.config.pluginConfig.image.defaultValues.langCode,
+								'default' : editor.config.image.defaultValues.langCode,
 								validate : function()
 								{
@@ -1100,5 +1100,5 @@
 								id : 'txtGenClass',
 								label : editor.lang.common.cssClass,
-								'default' : editor.config.pluginConfig.image.defaultValues.classes,
+								'default' : editor.config.image.defaultValues.classes,
 								validate : function()
 								{
@@ -1111,5 +1111,5 @@
 								id : 'txtGenTitle',
 								label : editor.lang.common.advisoryTitle,
-								'default' : editor.config.pluginConfig.image.defaultValues.title,
+								'default' : editor.config.image.defaultValues.title,
 								onChange : function()
 								{
@@ -1128,5 +1128,5 @@
 						id : 'txtdlgGenStyle',
 						label : editor.lang.common.cssStyle,
-						'default' : editor.config.pluginConfig.image.defaultValues.style,
+						'default' : editor.config.image.defaultValues.style,
 						validate : function()
 						{
